unit DiskProp;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Main, DiskName;

type
  TDiskPropForm = class(TForm)
    Button1: TButton;
    PropList: TListView;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  public
    diskno: integer;
    procedure AddBSInfo(Name, Value: string);
  end;

var
  DiskPropForm: TDiskPropForm;

implementation

{$R *.dfm}

procedure TDiskPropForm.AddBSInfo(Name, Value: string);
var I: TListItem;
begin
  I := PropList.Items.Add;
  I.Caption := Name;
  I.SubItems.Add(Value);
end;

procedure TDiskPropForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Release;
end;

procedure TDiskPropForm.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TDiskPropForm.FormShow(Sender: TObject);
var s:string;
begin
  s:='';
  GetDriveManufacturerAndModel(diskno, s, PropList);
end;

end.
