unit TemplateFormular;

interface

uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs;

type
  TActionForm = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    bStop:Boolean;
    bPaused:Boolean;
    bClosing:Boolean;
    procedure ResetStatus;
  end;

implementation

{$R *.dfm}

procedure TActionForm.ResetStatus;
begin
  bStop:=FALSE;
  bPaused:=FALSE;
  bClosing:=FALSE;
end;

procedure TActionForm.FormCreate(Sender: TObject);
begin
  ResetStatus;
end;

procedure TActionForm.FormCloseQuery(Sender: TObject;var CanClose: Boolean);
begin
  bPaused:=true;
  bStop:=true;
  bClosing:=true;
  sleep(5);
  Application.ProcessMessages;
  sleep(5);
  Application.ProcessMessages;
end;

procedure TActionForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  bPaused:=true;
  bStop:=true;
  bClosing:=true;
  sleep(5);
  Application.ProcessMessages;
  sleep(5);
  Application.ProcessMessages;
end;

procedure TActionForm.FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  // inherited window must have keypreview-property set to true
  if (Key=88) or (key=120) then
    if ((ssAlt in shift) OR (ssCtrl in shift)) then // strg/alt+x
      Close;
  if key=27 then begin
    bPaused:=true; bStop:=true;
  end;
end;

end.

